- Random123-1.09 Documentation

Public Types | Public Member Functions | Static Public Attributes

# r123::Threefry4x64_R< R > Class Template Reference
[Threefry Classes and Typedefs]

`#include <Random123/threefry.h>`

List of all members.

## Public Types
typedef threefry4x64_ctr_t | ctr_type
typedef threefry4x64_key_t | key_type
typedef threefry4x64_key_t | ukey_type
## Public Member Functions
ctr_type | operator() (ctr_type ctr, key_type key)
## Static Public Attributes
static const unsigned int | rounds = R

## Detailed Description

### template<unsigned int R>
class r123::Threefry4x64_R< R >

exports the member functions, typedefs and operator overloads required by a CBRNG class.

The template argument, ROUNDS, is the number of times the Threefry round function will be applied.

As of September 2011, the authors know of no statistical flaws with ROUNDS=12 or more for Threefry4x64.

## Member Typedef Documentation

template<unsigned int R>

typedef threefry4x64_ctr_t r123::Threefry4x64_R< R >::ctr_type

template<unsigned int R>

typedef threefry4x64_key_t r123::Threefry4x64_R< R >::key_type

template<unsigned int R>

typedef threefry4x64_key_t r123::Threefry4x64_R< R >::ukey_type

## Member Function Documentation

template<unsigned int R>

ctr_type r123::Threefry4x64_R< R >::operator() | ( | ctr_type | ctr,
|  | key_type | key |
| ) |  |  | `[inline]`

## Member Data Documentation

template<unsigned int R>

const unsigned int r123::Threefry4x64_R< R >::rounds = R`[static]`

The documentation for this class was generated from the following file:

- Random123/threefry.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines